package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author yangcan
 * 类描述:家长端一对一学习计划任务
 * 创建时间:2018年8月7日 下午2:29:56

 */
public class LessonServicePlanDto implements Serializable{
	private static final long serialVersionUID = 1L;

	private int bizType;//业务类型1：待完善孩子信息 2：待确定匹配老师 3：待确定更换老师 4:学习计划
	private String vipId;//会员id
	private String lessonServiceId;//课程服务id
	private String courseId;//排课计划id
	private String childName;//学生姓名
	private String childImg;//学生头像
	private String teacherId;//老师id
	private String teacherName;//老师姓名
	private String teacherImg;//老师头像
	private String teacherSex;//老师性别(1：男 2:女)
	private String masterName;//校长姓名
	private String teacherLever;//老师星级
	private String teacherType = "2";//老师类型(1:学霸老师,2:注册老师,3:明星老师)
	private List<String> teacherLabels = new ArrayList<String>();//老师标签
	private int studyPlanCount;//计划学习总次数<购买课时>
	private int studyCount;//已学习次数
	private int planStatus;//计划状态 1未支付 2家长支付；3确定上课意向；4上课；5反馈
	private int courseType;//课程类型（0试听课/1正式课）
	private int isRequestChangeClassTime = 0;//是否申请调课
	private int isRequestChangeTeacher = 0;//是否申请换老师
	private String courseName;//授课科目
	private String grade;//授课年级
	private String startTime;//开始时间
	private String endTime;//结束时间
	private String attendClassTime;//（计划）上课时间
	private String requestAttendClassTime;//现申请调课时间
	private List<String> modelList = new ArrayList<String>();//学习板块信息
	private String lever;//知识点掌握等级
	private String orderAmount;//订单金额
	private int applyType;//申请类型:1:调课; 2:换老师
	private int applyStatus;//1:申请中; 2:已同意；3：已拒绝；
	private String applyReason;//申请理由
	private String reason;//拒绝理由
	public int getBizType() {
		return bizType;
	}
	public void setBizType(int bizType) {
		this.bizType = bizType;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getLessonServiceId() {
		return lessonServiceId;
	}
	public void setLessonServiceId(String lessonServiceId) {
		this.lessonServiceId = lessonServiceId;
	}
	public String getCourseId() {
		return courseId;
	}
	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	public String getChildImg() {
		return childImg;
	}
	public void setChildImg(String childImg) {
		this.childImg = childImg;
	}
	public String getTeacherId() {
		return teacherId;
	}
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}
	public String getTeacherName() {
		return teacherName;
	}
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
	public String getTeacherImg() {
		return teacherImg;
	}
	public void setTeacherImg(String teacherImg) {
		this.teacherImg = teacherImg;
	}
	public String getTeacherSex() {
		return teacherSex;
	}
	public void setTeacherSex(String teacherSex) {
		this.teacherSex = teacherSex;
	}
	public String getMasterName() {
		return masterName;
	}
	public void setMasterName(String masterName) {
		this.masterName = masterName;
	}
	public String getTeacherLever() {
		return teacherLever;
	}
	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}
	public List<String> getTeacherLabels() {
		return teacherLabels;
	}
	public void setTeacherLabels(List<String> teacherLabels) {
		this.teacherLabels = teacherLabels;
	}
	public int getStudyPlanCount() {
		return studyPlanCount;
	}
	public void setStudyPlanCount(int studyPlanCount) {
		this.studyPlanCount = studyPlanCount;
	}
	public int getStudyCount() {
		return studyCount;
	}
	public void setStudyCount(int studyCount) {
		this.studyCount = studyCount;
	}
	public int getPlanStatus() {
		return planStatus;
	}
	public void setPlanStatus(int planStatus) {
		this.planStatus = planStatus;
	}
	public int getCourseType() {
		return courseType;
	}
	public void setCourseType(int courseType) {
		this.courseType = courseType;
	}
	public int getIsRequestChangeClassTime() {
		return isRequestChangeClassTime;
	}
	public void setIsRequestChangeClassTime(int isRequestChangeClassTime) {
		this.isRequestChangeClassTime = isRequestChangeClassTime;
	}
	public int getIsRequestChangeTeacher() {
		return isRequestChangeTeacher;
	}
	public void setIsRequestChangeTeacher(int isRequestChangeTeacher) {
		this.isRequestChangeTeacher = isRequestChangeTeacher;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public String getAttendClassTime() {
		return attendClassTime;
	}
	public void setAttendClassTime(String attendClassTime) {
		this.attendClassTime = attendClassTime;
	}
	public String getRequestAttendClassTime() {
		return requestAttendClassTime;
	}
	public void setRequestAttendClassTime(String requestAttendClassTime) {
		this.requestAttendClassTime = requestAttendClassTime;
	}
	public List<String> getModelList() {
		return modelList;
	}
	public void setModelList(List<String> modelList) {
		this.modelList = modelList;
	}
	public String getLever() {
		return lever;
	}
	public void setLever(String lever) {
		this.lever = lever;
	}
	public String getOrderAmount() {
		return orderAmount;
	}
	public void setOrderAmount(String orderAmount) {
		this.orderAmount = orderAmount;
	}
	public String getTeacherType() {
		return teacherType;
	}
	public void setTeacherType(String teacherType) {
		this.teacherType = teacherType;
	}
	public int getApplyStatus() {
		return applyStatus;
	}
	public void setApplyStatus(int applyStatus) {
		this.applyStatus = applyStatus;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public String getApplyReason() {
		return applyReason;
	}
	public void setApplyReason(String applyReason) {
		this.applyReason = applyReason;
	}
	public int getApplyType() {
		return applyType;
	}
	public void setApplyType(int applyType) {
		this.applyType = applyType;
	}
}
